Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000791KdenliveUser Interfacepublic2009-04-24 21:382009-05-30 12:01
Reporternowardev 
Assigned Toddennedy 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product VersionRecent git 
Target VersionFixed in Version0.7.4 
Summary0000791: crash with crop filter and other
Descriptiondescription
crash using crop filter on a picture.
crash when i save a project and i click on new project

more info here VIDEO:

http://www.youtube.com/watch?v=nufdHMe351Q [^]
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0002940)
Cellculture (reporter)
2009-05-27 09:32

I have tried this on various Linux configurations below, and the crop crash occurs on all of them. Cropping from the top seems to be the most unstable, with just incrementing the crop to 1 pixel taking the program out on all the 64 bit machines.
The 32 bit platform seems a bit more stable, and the large crops needed in the video are needed to kill that one.

Platforms tried
2 Athlon 64 and one Intel Core 2 duo machines configured with Gentoo 64 bit, Nvidia Graphics, mlt0.3.8, kdenlive 0.7.3
1 Intel core 2 duo with Gentoo 64 bit, Nvidia Graphics, current mlt and kdenlive from svn (as of last week)
One Intel Atom with Gentoo 32 bit, Intel Graphics, mlt0.3.8, kdenlive 0.7.3

All the above run QT 4.5.1 and a mixture of KDE 4.2.2 and KDE 4.2.3
(0002950)
gsking1 (reporter)
2009-05-28 03:20

I can confirm this crop crash. If I slide a few of the sliders around it will crash.
Note that this has been discussed in the forum also:
http://www.kdenlive.org/forum/2-crash-video-how-get-crash-xd [^]

System is Ubuntu Jaunty, 32bit, most multimedia stuff built from source (ffmpeg 0.5, mlt, kdenlive, etc.)
(0002954)
ddennedy (developer)
2009-05-28 08:17

Fixed in mlt's git repo tonight. This will be in the MLT v0.4.2 release.

- Issue History
Date Modified Username Field Change
2009-04-24 21:38 nowardev New Issue
2009-04-24 21:38 nowardev Build/Install Method => Manual build from SVN
2009-05-27 09:32 Cellculture Note Added: 0002940
2009-05-28 03:20 gsking1 Note Added: 0002950
2009-05-28 08:12 ddennedy Status new => assigned
2009-05-28 08:12 ddennedy Assigned To => ddennedy
2009-05-28 08:17 ddennedy Note Added: 0002954
2009-05-28 08:17 ddennedy Status assigned => resolved
2009-05-28 08:17 ddennedy Resolution open => fixed
2009-05-30 09:10 ddennedy Fixed in Version => Recent git
2009-05-30 11:53 administrator Product Version Recent git => 0.7.4
2009-05-30 11:53 administrator Product Version 0.7.4 => Recent git
2009-05-30 11:53 administrator Fixed in Version Recent git => 0.7.4
2009-05-30 12:01 administrator Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker